Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.account.management
Interface ApplicationGroupMBean

public interface ApplicationGroupMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Method Summary
`void` | `addApplicationGroup(String applicationGroupIdentifier)` Add an application group with attached service level agreements.
`void` | `addServiceProviderGroup(String serviceProviderGroupIdentifier)` Add an service provider group with attached service level agreements.
`int` | `countApplicationGroups()` Count number of application groups.
`int` | `countServiceProviderGroups()` Count number of service provider groups.
`ApplicationGroupDescription` | `getApplicationGroup(String applicationGroupIdentifier)` Get application group description.
`ServiceProviderGroupDescription` | `getServiceProviderGroup(String serviceProviderGroupIdentifier)` Get service provider group description.
`String[]` | `listApplicationGroups(int offset, int size)` List application groups.
`String[]` | `listServiceProviderGroups(int offset, int size)` List service provider groups.
`void` | `removeApplicationGroup(String applicationGroupIdentifier)` Remove an empty application group.
`void` | `removeServiceProviderGroup(String serviceProviderGroupIdentifier)` Remove an empty service provider group.
`void` | `setApplicationGroupProperties(String applicationGroupIdentifier, Set properties)` Set properties for an application group.
`void` | `setServiceProviderGroupProperties(String serviceProviderGroupIdentifier, Set properties)` Set properties for a service provider group.

Method Detail

### addApplicationGroup

    public void addApplicationGroup(String applicationGroupIdentifier)
                             throws DuplicateKeyException,
                                    ManagementException

  Add an application group with attached service level agreements.

  Parameters:
    `applicationGroupIdentifier` - The group identifier.
  Throws:
    `com.bea.wlcp.wlng.api.management.DuplicateKeyException` - If the account group already existed or there was duplicate service level agreements specified.
    `com.bea.wlcp.wlng.api.management.ManagementException` - If an unexpected error occurred.
    `DuplicateKeyException`
    `ManagementException`

### addServiceProviderGroup

    public void addServiceProviderGroup(String serviceProviderGroupIdentifier)
                                 throws DuplicateKeyException,
                                        ManagementException

  Add an service provider group with attached service level agreements.

  Parameters:
    `serviceProviderGroupIdentifier` - The group identifier.
  Throws:
    `com.bea.wlcp.wlng.api.management.DuplicateKeyException` - If the account group already existed or there was duplicate service level agreements specified.
    `com.bea.wlcp.wlng.api.management.ManagementException` - If an unexpected error occurred.
    `DuplicateKeyException`
    `ManagementException`

### countApplicationGroups

    public int countApplicationGroups()

  Count number of application groups.

  Returns:
    The account group count.

### countServiceProviderGroups

    public int countServiceProviderGroups()

  Count number of service provider groups.

  Returns:
    The account group count.

### getApplicationGroup

    public ApplicationGroupDescription getApplicationGroup(String applicationGroupIdentifier)

  Get application group description.

  Parameters:
    `applicationGroupIdentifier` - The account group identifier.
  Returns:
    The account group description.

### getServiceProviderGroup

    public ServiceProviderGroupDescription getServiceProviderGroup(String serviceProviderGroupIdentifier)

  Get service provider group description.

  Parameters:
    `serviceProviderGroupIdentifier` - The account group identifier.
  Returns:
    The account group description.

### listApplicationGroups

    public String[] listApplicationGroups(int offset,
                                          int size)

  List application groups.

  Parameters:
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The account groups matching the criteria.

### listServiceProviderGroups

    public String[] listServiceProviderGroups(int offset,
                                              int size)

  List service provider groups.

  Parameters:
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The account groups matching the criteria.

### removeApplicationGroup

    public void removeApplicationGroup(String applicationGroupIdentifier)
                                throws ManagementException

  Remove an empty application group. Removing the group is not allowed if it contains accounts.

  Parameters:
    `applicationGroupIdentifier` - The group to destroy.
  Throws:
    `com.bea.wlcp.wlng.api.management.ManagementException` - If the group contains accounts.
    `ManagementException`

### removeServiceProviderGroup

    public void removeServiceProviderGroup(String serviceProviderGroupIdentifier)
                                    throws ManagementException

  Remove an empty service provider group. Removing the group is not allowed if it contains accounts.

  Parameters:
    `serviceProviderGroupIdentifier` - The group to destroy.
  Throws:
    `com.bea.wlcp.wlng.api.management.ManagementException` - If the group contains accounts.
    `ManagementException`

### setApplicationGroupProperties

    public void setApplicationGroupProperties(String applicationGroupIdentifier,
                                              Set properties)
                                       throws KeyNotFoundException

  Set properties for an application group.

  Parameters:
    `applicationGroupIdentifier` - The group to update.
    `properties` - The new properties. A set with Map.Entry.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If the group does not exist.
    `KeyNotFoundException`

### setServiceProviderGroupProperties

    public void setServiceProviderGroupProperties(String serviceProviderGroupIdentifier,
                                                  Set properties)
                                           throws KeyNotFoundException

  Set properties for a service provider group.

  Parameters:
    `serviceProviderGroupIdentifier` - The group to update.
    `properties` - The new properties. A set with Map.Entry.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If the group does not exist.
    `KeyNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD